Deletes a chat permanently.
Request#
Path parameters#
| Parameter | Type | Required | Description |
|---|---|---|---|
chat_id |
string | Yes | The chat. |
Example request#
curl -X DELETE "https://api.tried.com.au/delete-chat/chat_0a1b2c3d4e5f6a7b8c9d0e1f" \
-H "Authorization: Bearer $TRIED_API_KEY"const res = await fetch("https://api.tried.com.au/delete-chat/chat_0a1b2c3d4e5f6a7b8c9d0e1f", {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.TRIED_API_KEY}` },
});
console.log(res.status); // 204import os, requests
res = requests.delete(
"https://api.tried.com.au/delete-chat/chat_0a1b2c3d4e5f6a7b8c9d0e1f",
headers={"Authorization": f"Bearer {os.environ['TRIED_API_KEY']}"},
)
print(res.status_code)Response#
204 No Content.
Errors#
| Status | When |
|---|---|
401 |
Missing or invalid API key. |
403 |
The key's IP allowlist or scopes reject the request. This route needs the calls scope. |
404 |
No chat with this ID in the workspace. |
429 |
Rate limit exceeded. See Rate limits. |
See Errors for the body format.